Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 15 Nov 2018, 04:56
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Pidgin 2.11.0 - Builds for Puppy 4.3.1 (and later)
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 5 [73 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Author Message
Rope

Joined: 20 Feb 2013
Posts: 435

PostPosted: Mon 08 Dec 2014, 20:43    Post subject:  

Are gnutls needed for MSN?
_________________
Puppy Slacko 5.7 frugal
AMD Athlon(tm) 64 X2 Dual Core Processor 4000+ : 2109.87MHz
Total Memory : 967356 kB
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2145
Location: Out wandering... maybe.

PostPosted: Mon 08 Dec 2014, 20:57    Post subject:  

gnutls is a library providing SSL, TLS, etc. support, so it's necessary for the program to run (not just MSN support). I'm currently compiling Pidgin against gnutls 3.2.13, so I'm guessing you'll need to have at least gnutls 3 in some form on your system, or my Pidgin build won't run.

That said, on my system, MSN seems to be refusing to connect again for some reason (despite the fact they (temporarily) fixed it; it's a matter of Microsoft dropping the client version Pidgin was identifying itself as). Nobody else has reported it, though, so it may be just me.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 435

PostPosted: Tue 09 Dec 2014, 00:51    Post subject:  

Thanks Makoto . In Slacko 5.4 Gtalk and Facebook Pidgin 2.10.11 worked without gnutls. MSN gave same error as in 2.10.9 refusing to connect.
_________________
Puppy Slacko 5.7 frugal
AMD Athlon(tm) 64 X2 Dual Core Processor 4000+ : 2109.87MHz
Total Memory : 967356 kB
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2145
Location: Out wandering... maybe.

PostPosted: Tue 09 Dec 2014, 03:07    Post subject:  

Were they my builds? There was a time (around 2.10.9) where builds compiled against gnutls were unable to connect to Yahoo IM. Some started compiling it against Mozilla's NSS instead. The problem was fixed in version 2.10.10.

Quote:
MSN gave same error as in 2.10.9 refusing to connect.


Pidgin's fix for the MSN connect problem is in version 2.10.11. The previous versions of Pidgin identify themselves as a version of MSN Messenger that Microsoft/Skype no longer allow to connect.
There's also an unintended side effect - 2.10.10 and earlier also inadvertently waste a lot of bandwidth continuing to try to connect to MSN. So, it's better to update to 2.10.11, if possible.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 435

PostPosted: Tue 09 Dec 2014, 11:48    Post subject:  

Yes makoto, this one you posted pidgin-2.10.11-i486-431.pet
_________________
Puppy Slacko 5.7 frugal
AMD Athlon(tm) 64 X2 Dual Core Processor 4000+ : 2109.87MHz
Total Memory : 967356 kB
Back to top
View user's profile Send private message 
bruno

Joined: 08 Mar 2012
Posts: 139
Location: Belgium

PostPosted: Thu 26 Feb 2015, 17:06    Post subject: Pidgin 2.10.11  

Working great on Dpup Wheezy 3.5.2.11, with the 6 extra pets installed.
Connecting to MSN doesn't work any more, but I guess they deliberately refuse other clients, and want everybody to switch to Skype.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2145
Location: Out wandering... maybe.

PostPosted: Thu 26 Feb 2015, 19:40    Post subject:  

Yeah, as far as I'm aware, Microsoft's been quietly killing all support for older clients - and as most no longer seem to be able to connect using Pidgin, that includes the version of Messenger (?) which Pidgin was just updated to appear as. Rolling Eyes

I'm not entirely sure why Pidgin couldn't just identify itself as Skype and work only for text messages, but the dev team would probably be inundated with complaints from people wondering why they can't get video/voice working with the Skype account settings. Confused

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 11193

PostPosted: Fri 27 Feb 2015, 07:29    Post subject:  

Yes the whole skype/msn/MS thing is becoming a farce.... microsoft living up to their reputation for making a mess by trying to dominate the world Very Happy

So in effect msn seems a lost cause for pidgin for now then after their work to 'fix' it? Sad
Just asking as it would mean my nss build of 2.10.9 is still valid for now in that case should anyone need it ie older pups, since there is nothing to gain from a newer build.

I don't follow such things much but was yahoo taken over my MS in some way and will they somehow follow this trend?

mike
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 435

PostPosted: Fri 27 Feb 2015, 12:42    Post subject:  

It is possible to connect to MSN chat and Skype (voice and video require aWindows plugin) through the web email outlook.com. I don't understand why it is not possible through Pidgin. Maybe someone can have a look at outlook.com and see how chat is implemented?

The latest Pidgin build I finally uninstalled because it required dependencies I do not have in Slacko.

Some time ago Yahoo ha integration with MSN, but I do not see my MSN contacts in Pigdin using Yahoo account.

_________________
Puppy Slacko 5.7 frugal
AMD Athlon(tm) 64 X2 Dual Core Processor 4000+ : 2109.87MHz
Total Memory : 967356 kB
Back to top
View user's profile Send private message 
bruno

Joined: 08 Mar 2012
Posts: 139
Location: Belgium

PostPosted: Fri 27 Feb 2015, 18:54    Post subject: MSN  

Yahoo and MSN messenger integration was cancelled already some time ago.
And now MSN messenger got absorbed into Skype, which, as far as I know, never was supported by Pidgin.
Pidgin state on their site:
"And before anyone goes there, we can’t support Skype. There is no documentation of the protocol available to us, nor is there code we can borrow from a cleanly reverse-engineered alternative implementation."
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2145
Location: Out wandering... maybe.

PostPosted: Sat 28 Feb 2015, 05:43    Post subject:  

There's some Skype support via a third-party plugin, but I'm not sure what it supports (which would include text chat), or whether it works with the latest versions of Pidgin and in the wake of Microsoft's aggressive 'blocking' of earlier versions. I'll have to look into it, I guess.

The Pidgin developers have said something about that plugin using SkypeKit without permission, IIRC, so that might also cause problems.

Edit: The plugin I've found so far still requires Skype to be running at the same time as Pidgin... Rolling Eyes

Skype API Plugin for Pidgin/libpurple/Adium
skype4pidgin - Skype API Plugin for Pidgin/libpurple/Adium - Google Project Hosting

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2145
Location: Out wandering... maybe.

PostPosted: Mon 20 Jun 2016, 22:46    Post subject:  

Pidgin 2.11.0 has been released... but as it's currently behaving unexpectedly on my system, no builds for 4.3.1 are available yet. Embarassed
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
snayak

Joined: 14 Sep 2011
Posts: 420

PostPosted: Fri 05 Jan 2018, 08:30    Post subject:  

Sorry, moved my post to http://murga-linux.com/puppy/viewtopic.php?p=979426#979426

Sincerely,
Srinivas Nayak

_________________
[Precise 571 on AMD Athlon XP 2000+ with 512MB RAM]
[Fatdog 720 on Intel Pentium B960 with 4GB RAM]

http://srinivas-nayak.blogspot.com/
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 5 of 5 [73 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1211s ][ Queries: 12 (0.0366s) ][ GZIP on ]